import React from 'react';
import PropTypes from 'prop-types';
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import MoleculeNotification, { BRDS_SIZE } from '@s-ui/react-molecule-notification';
import { BASE_CLASS_NAME } from './config';
var MOLECULE_NOTIFICATION_TYPE = 'error';

var DragNotification = function DragNotification(_ref) {
  var icon = _ref.icon,
      _ref$onCloseCallback = _ref.onCloseCallback,
      onCloseCallback = _ref$onCloseCallback === void 0 ? function () {} : _ref$onCloseCallback,
      _ref$show = _ref.show,
      show = _ref$show === void 0 ? false : _ref$show,
      text = _ref.text;
  return /*#__PURE__*/React.createElement(React.Fragment, null, show && /*#__PURE__*/React.createElement("div", {
    className: BASE_CLASS_NAME + "-notification"
  }, /*#__PURE__*/React.createElement(MoleculeNotification, {
    icon: /*#__PURE__*/React.createElement(AtomIcon, {
      size: ATOM_ICON_SIZES.extraLarge
    }, icon),
    type: MOLECULE_NOTIFICATION_TYPE,
    show: show,
    autoClose: null,
    roundedCorners: BRDS_SIZE.small,
    onClose: onCloseCallback
  }, text)));
};

DragNotification.displayName = 'DragNotification';
export default DragNotification;